Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class AbstractOWLlinkKBResponseElementHandler<R extends KBResponse>

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<R>

All Implemented Interfaces:
  OWLlinkElementHandler<R>, OWLlinkResponseElementHandler<R>

Direct Known Subclasses:
  AbstractOWLlinkHierarchyElementHandler, AbstractOWLlinkSetOfSynsetsElementHandler, AbstractOWLlinkSynsetsElementHandler, AbstractSetOfOWLObjectResponseElementHandler, OWLlinkBooleanResponseElementHandler, OWLlinkClassesElementHandler, OWLlinkDataPropertySynonymsElementHandler, OWLlinkIndividualSynonymsElementHandler, OWLlinkOKElementHandler, OWLlinkPrefixesElementHandler, OWLlinkSettingsElementHandler, OWLlinkStringResponseElementHandler, OWLlinkUnknownResponseElementHandler

    public abstract class AbstractOWLlinkKBResponseElementHandler<R extends KBResponse>

extends AbstractConfirmationElementHandler<R>

Abstract handler for all OWLlink KBResponse.

This implementation handles the correct prefixname2prefix mapping for handling abbreviated IRIs.

Note that KBResponses that need the prefixname2prefix mapping for abbreviated IRIs should derive from this abstract element handler class. Otherwise the correct IRI resolution is not guaranteed. Author: Olaf Noppens Date: 30.11.2009

Constructor Summary
`AbstractOWLlinkKBResponseElementHandler(OWLXMLParserHandler handler)`

Method Summary
`protected KBRequest` | `getRequest()`
`void` | `startElement(java.lang.String s)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLLinkObject, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`getOWLLinkObject, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### AbstractOWLlinkKBResponseElementHandler

    public AbstractOWLlinkKBResponseElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String s)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractConfirmationElementHandler<R extends KBResponse>`
  Throws:
    `OWLXMLParserException`

### getRequest

    protected KBRequest getRequest()

  Overrides:
    `getRequest` in class `AbstractOWLlinkElementHandler<R extends KBResponse>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD